* {
  box-sizing: border-box;
}

body {
  margin: 4em;
  font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", "Roboto", "Oxygen", "Ubuntu",
    "Cantarell", "Fira Sans", "Droid Sans", "Helvetica Neue", sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

::-webkit-scrollbar {
  display: none;
}

span p {
  display: inline;
}

/* General CSS Setup */
body{
  background-color: lightblue;
  font-family: "Ubuntu-Italic", "Lucida Sans", helvetica, sans;
}

/* container */
.container {
  padding: 5% 5%;
}

.bubble {
	position: relative;
	font-family: sans-serif;
	font-size: 16px;
	line-height: 24px;
	width: 500px;
	background: #97a7eb;
	border-radius: 5px;
	padding: 10px;
	text-align: left;
	color: #000;
	margin-top: 10px;
	margin-left: 30px;
	margin-right: 30px;
  }
  
  .bubble-bottom-right:before {
	content: "";
	width: 0px;
	height: 0px;
	position: absolute;
	border-left: 10px solid #97a7eb;
	border-right: 10px solid transparent;
	border-top: 7px solid #97a7eb;
	border-bottom: 7px solid transparent;
	left: 495px;
	top: 0px;
  }

  .bubble-bottom-left:before {
	content: "";
	width: 0px;
	height: 0px;
	position: absolute;
	border-left: 10px solid transparent;
	border-right: 10px solid #97a7eb;
	border-top: 7px solid #97a7eb;
	border-bottom: 7px solid transparent;
	left: -17px;
	top: 0px;
  }


  html,
  body {
	height: 100%;
  }

  body {
	margin: 0;
	background-color:white;
  }

  #webchat {
	height: 100%;
	width: 100%;
  }

  .botActivityDecorator {
	min-height: 60px;
	position: relative;
  }

  .botActivityDecorator .botActivityDecorator__content {
	padding-left: 40px;
  }

  .botActivityDecorator .botActivityDecorator__buttonBar {
	list-style-type: none;
	margin: 0 0 0 10px;
	padding: 0;
	position: absolute;
  }

  .botActivityDecorator .botActivityDecorator__buttonBar .botActivityDecorator__button {
	background: White;
	border: solid 1px #e6e6e6;
	margin-bottom: 2px;
	padding: 2px 5px 5px;
  }

  .webchat__defaultAvatar {
	border-radius: 0!important;
	height: 50px!important;
  }

  .webchat__initialsAvatar {
	height: 50px!important;
  }
  
  .webchat__imageAvatar {
	height: 50px!important;
  }

  .webchat__imageAvatar__image {
	background-color: white;
	height: 50px!important;
  }

  .container {
	height: 100vh;
	box-sizing: border-box;
	margin: 0;
	padding: 0;
  }
  
  .main-panel {
	width: 80%;
	height: 100vh;
	background-color: white;
	float: left;
	transition: width 0.3s ease-in-out;
  }

  .favorite-panel {
	width: 20%;
	height: 100%;
	background-color: white;
	color: #3791bba8;
	float: left;
	opacity: 0;
	transition: opacity 0.3s ease-in-out;
	padding: 20px;
	box-sizing: border-box;
	font-family: Arial, sans-serif;
  }

  .favorite-panel:hover {
	opacity: 1;
  }

  .favorite-panel-hover {
	opacity: 1;
  }

  .favorite-panel h2 {
	font-size: 16px;
	margin-top: 0;
  }

  .favorite-panel ul {
	list-style: none;
	padding: 0;
	margin: 0;
	min-height: 100px;
	min-width: 100px;
	z-index: 10;
  }

  .favorite-panel li {
	margin-bottom: 10px;
	font-size: 12px;
	position: relative;
  }

  .favorite-panel li a {
	color: #333;
	text-decoration: none;
	display: block;
	overflow: hidden;
	text-overflow: ellipsis;
	white-space: nowrap;
	max-width: 100%;
	position: relative;
  }

  .hover {
		position: absolute;
		z-index: 9999;
		background-color: #fff;
		border: 1px solid #ccc;
		padding: 10px;
		font-size: 12px;
		font-family: 'Roboto', sans-serif;
		max-width: 400px;
		word-break: break-all;
		hyphens: auto;
		border-radius: 5px;
		box-shadow: 0 0 10px rgba(0, 0, 0, 0.2);
		transition: all 0.5s ease-in-out;
		transform: translateZ(0);
		display: none;
	}

  .favorite-panel li .delete-btn {
	position: absolute;
	top: 0;
	right: 0;
	background-color: transparent;
	border: none;
	color: #999;
	font-size: 10px;
	cursor: pointer;
	z-index: 1;
  }

  .favorite-item {
	margin-right: 10px;
  }

  @media (max-width: 550px) {
	.favorite-panel {
	  display: none;
	}
  }

  ul li {
	cursor: pointer;
  }
  
  div.webchat__bubble--from-user > .webchat__bubble__content > p {
	cursor: pointer;
  }

  /* Style the radio buttons */
  input[type="radio"] {
	display: none;
  }
  input[type="radio"] + label {
	display: inline-block;
	width: 50px; 
	height: 50px;
	margin-right: 1px;
	border-radius: 5px;
	text-align: center;
	line-height: 50px;
	cursor: pointer;
	border: 2px solid transparent;
	padding: 1px;
	position: relative;
  }
  input[type="radio"]:checked + label {
	border: 2px solid #1e81b0;
  }
  /* Add icons to the labels */
  label {
	background-size: 40px 40px;
	background-repeat: no-repeat;
	background-position: center;
	width: 50px;
	height: 50px;
  }
